# std::error_condition::assign

From cppreference.com
< cpp‎ | error‎ | error condition

void assign( int val, const error_category& cat ); |  | (since C++11)

Assigns contents to an error condition. Sets the error code to `val` and error category to `cat`.

### Parameters

val | - | error code
cat | - | error category

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/assign&oldid=91453"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template